Bug 156535 - New port: games/fairymax
Summary: New port: games/fairymax
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-21 00:10 UTC by Kalten
Modified: 2011-05-04 21:20 UTC (History)
0 users

See Also:


Attachments
file.shar (6.45 KB, text/plain)
2011-04-21 00:10 UTC, Kalten
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kalten 2011-04-21 00:10:10 UTC
New port: games/fairy-Max It is a chess engine usable with e.g. xboard(6) and capable of e.g. courier chess or shatranj.

Fix: Patch attached with submission follows:
Comment 1 Kalten 2011-04-21 17:35:08 UTC
Found some issues, currentliy working on it, will send an new version as
followup as soon as it will be done. 

Greetings,
 Kalten
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-04-21 22:11:19 UTC
State Changed
From-To: open->suspended

Submitter asks to hold off on committing this until some bugs are fixed.
Comment 3 Kalten 2011-04-23 17:02:10 UTC
> http://www.freebsd.org/cgi/query-pr.cgi?pr=156535
> State-Changed-From-To: open->suspended
Please unsuspend it now ;-)

I had a little e-mail chat with the author of fairy-Max clearing up all
points.  In advance he will look into some points (but has not too much
time right now) as, e.g., a more complete man page (sent to him by me to
merge it with his version) and an issue about a potential coding
error. I will suggest that he changes the Makfile in the way I did, so
we would not have to patch it any more, alongside with other issues.

I am not very sure whether a FreeBSD port should look like my
submission--please have a /close/ look, it is not much.

(I hope, sending the /new/ fairymax.shar in the way it is done by
send-pr(1) is the right way and will result in a downloadable link etc
as it was in the original post--not very shure about that, but I can not
try it out, can I? :-( )

Please note that I did rename it from games/fairy-Max to games/fairymax
as this is its name nowadays on other systems. (I didn't know, whether I
should change the subject line here accordingly).

Greetings,
 Kalten

>Fix:

	

--- fairymax.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	fairymax
#	fairymax/Makefile
#	fairymax/pkg-descr
#	fairymax/distinfo
#	fairymax/files
#	fairymax/files/patch-Makefile
#	fairymax/files/patch-fairymax.pod
#	fairymax/files/pkg-message.in
#
echo c - fairymax
mkdir -p fairymax > /dev/null 2>&1
echo x - fairymax/Makefile
sed 's/^X//' >fairymax/Makefile << '452decb1e2af374909417f5b99d23e59'
X# New ports collection makefile for:	fairy-max
X# Date created:				22 April 2011
X# Whom:					Kalten <kalten@gmx.at>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	fairymax
XPORTVERSION=	4.8Q
XCATEGORIES=	games
XMASTER_SITES=	http://freeheimdall.homeunix.org/files/
XDISTNAME=	${PORTNAME}-c7a129e
X# http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=snapshot;h=c7a129ead81286990efb8409f238c48c7109c83b;sf=tgz
X
XMAINTAINER=	kalten@gmx.at
XCOMMENT=	Chess engine (e.g. for xboard) for shatranj (middelage), courier chess
X
XDIST_SUBDIR=	${PORTNAME}
X
XPLIST_FILES=	bin/fairymax \
X		bin/shamax \
X		bin/maxqi \
X		share/${PORTNAME}/fmax.ini \
X		share/${PORTNAME}/qmax.ini
XPLIST_DIRS=	share/${PORTNAME}
X
XMAN6=		fairymax.6
XMLINKS=		fairymax.6 shamax.6 \
X		fairymax.6 maxqi.6
X
XSUB_FILES=	pkg-message
X
XUSE_GMAKE=	yes
XMAKE_ARGS+=	CC=gcc INI_FILE_fmax=${DATADIR}/fmax.ini INI_FILE_qmax=${DATADIR}/qmax.ini
X
Xpost-patch:
X	@${CP} ${WRKSRC}/fairymax.pod ${WRKSRC}/fairymax.pod.ori
X	@${SED} -e 's|%%PREFIX%%|${PREFIX}|g;s|%%DATADIR%%|${DATADIR}|g' \
X		${WRKSRC}/fairymax.pod.ori > ${WRKSRC}/fairymax.pod
X
Xpost-build:
X	@${CP} ${WRKSRC}/fmax.man ${WRKSRC}/fairymax.6
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/fairymax ${PREFIX}/bin
X	${INSTALL_PROGRAM} ${WRKSRC}/shamax ${PREFIX}/bin
X	${INSTALL_PROGRAM} ${WRKSRC}/maxqi ${PREFIX}/bin
X	${MKDIR} ${DATADIR}
X	${INSTALL_DATA} ${WRKSRC}/data/fmax.ini ${DATADIR}/fmax.ini
X	${INSTALL_DATA} ${WRKSRC}/data/qmax.ini ${DATADIR}/qmax.ini
X	${INSTALL_MAN} ${WRKSRC}/${MAN6} ${MANPREFIX}/man/man6
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
452decb1e2af374909417f5b99d23e59
echo x - fairymax/pkg-descr
sed 's/^X//' >fairymax/pkg-descr << 'ac4a1099ee03d707117d57327dbd8dad'
Xfairy-Max is a version of micro-Max  that reads the piece description
Xfrom a file fmax.ini, so that arbitrary fairy pieces can be implemen-
Xted. This version supports up to 15 piece types, and board sizes upto
X12x8 board. A Linux port exists in the format of a debian package.
X
XYou can use it e.g. with games/xboard/:
Xe.g.: xboard -boardSize Middling -variant courier -fcp fairymax
X
XGIT: http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git
XWWW: http://home.hccnet.nl/h.g.muller/fairy.html
ac4a1099ee03d707117d57327dbd8dad
echo x - fairymax/distinfo
sed 's/^X//' >fairymax/distinfo << '1d9d8e774665a0c4b4692533eaf8497c'
XSHA256 (fairymax/fairymax-c7a129e.tar.gz) = ec8e75c92e345e0f0db56095ac576156f54fb9320af05e86f8e589a8300c5a9a
XSIZE (fairymax/fairymax-c7a129e.tar.gz) = 34229
1d9d8e774665a0c4b4692533eaf8497c
echo c - fairymax/files
mkdir -p fairymax/files > /dev/null 2>&1
echo x - fairymax/files/patch-Makefile
sed 's/^X//' >fairymax/files/patch-Makefile << '235ead6ba27e42f3c60031565c87ffcb'
X--- Makefile.orig	2010-12-08 10:03:32.000000000 +0100
X+++ Makefile	2011-04-23 17:09:50.000000000 +0200
X@@ -1,21 +1,22 @@
X srcdir = .
X 
X-CC=gcc
X-CFLAGS += -O2
X-
X+CC?=gcc
X+CFLAGS +=
X+INI_FILE_fmax?="/usr/share/games/fairymax/fmax.ini"
X+INI_FILE_qmax?="/usr/share/games/fairymax/qmax.ini"
X 
X ALL= fairymax shamax maxqi fairymax.6.gz
X 
X all: ${ALL}
X 
X fairymax: fairymax.c
X-	$(CC) $(CFLAGS) -DINI_FILE=\"/usr/share/games/fairymax/fmax.ini\" fairymax.c -o fairymax
X+	$(CC) $(CFLAGS) -DINI_FILE=\"${INI_FILE_fmax}\" fairymax.c -o fairymax
X 
X shamax: fairymax.c
X-	$(CC) $(CFLAGS) -DINI_FILE=\"/usr/share/games/fairymax/fmax.ini\" -DSHATRANJ fairymax.c -o shamax
X+	$(CC) $(CFLAGS) -DINI_FILE=\"${INI_FILE_fmax}\" -DSHATRANJ fairymax.c -o shamax
X 
X maxqi: maxqi.c
X-	$(CC) $(CFLAGS) -DINI_FILE=\"/usr/share/games/fairymax/qmax.ini\" maxqi.c -o maxqi
X+	$(CC) $(CFLAGS) -DINI_FILE=\"${INI_FILE_qmax}\" maxqi.c -o maxqi
X 
X install: ${ALL} ${srcdir}/data/*
X 	cp -u ${srcdir}/fairymax $(DESTDIR)/usr/games
235ead6ba27e42f3c60031565c87ffcb
echo x - fairymax/files/patch-fairymax.pod
sed 's/^X//' >fairymax/files/patch-fairymax.pod << 'e0fd95278abebd34661bcaeacee2ef22'
X--- fairymax.pod.orig	2010-12-08 10:03:32.000000000 +0100
X+++ fairymax.pod	2011-04-23 01:11:01.000000000 +0200
X@@ -117,11 +117,20 @@
X 
X =back
X 
X+=head1 FILES
X+
X+%%DATADIR%%/fmax.ini
X+
X+%%DATADIR%%/qmax.ini
X 
X =head1 SEE ALSO
X 
X xboard(6)
X 
X+http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git
X+
X+http://home.hccnet.nl/h.g.muller/fairy.html
X+
X http://www.chessvariants.org/index/msdisplay.php?itemid=MSfairy-max
X 
X http://home.hccnet.nl/h.g.muller/max-src2.html
e0fd95278abebd34661bcaeacee2ef22
echo x - fairymax/files/pkg-message.in
sed 's/^X//' >fairymax/files/pkg-message.in << '1b03eba99d4563bc19cfa2e26407e993'
X===>  The distfile originates from http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git
X===>  The datafiles reside in %%DATADIR%%/fmax.ini
X      and %%DATADIR%%/qmax.ini
X===>  The executables are fairymax, maxqi and shamax.
X===>  The manpages are fairymax(6), maxqi(6) and shamax(6).
1b03eba99d4563bc19cfa2e26407e993
exit
--- fairymax.shar ends here ---
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-04-23 22:26:42 UTC
State Changed
From-To: suspended->open

new patch received, with new name.
Comment 5 Johan van Selst freebsd_committer 2011-05-04 07:34:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

I'll take it.
Comment 6 dfilter service freebsd_committer 2011-05-04 21:19:01 UTC
johans      2011-05-04 20:18:47 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/fairymax       Makefile distinfo pkg-descr 
    games/fairymax/files patch-Makefile patch-fairymax.pod 
  Log:
  New port games/fairymax
  
  fairy-Max is a version of micro-Max  that reads the piece description
  from a file fmax.ini, so that arbitrary fairy pieces can be implemen-
  ted. This version supports up to 15 piece types, and board sizes upto
  12x8 board. A Linux port exists in the format of a debian package.
  
  You can use it e.g. with games/xboard/:
  e.g.: xboard -boardSize Middling -variant courier -fcp fairymax
  
  GIT: http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git
  WWW: http://home.hccnet.nl/h.g.muller/fairy.html
  
  PR:             ports/156535
  Submitted by:   Kalten <kalten@gmx.at>
  
  Revision  Changes    Path
  1.1375    +1 -0      ports/games/Makefile
  1.1       +53 -0     ports/games/fairymax/Makefile (new)
  1.1       +2 -0      ports/games/fairymax/distinfo (new)
  1.1       +31 -0     ports/games/fairymax/files/patch-Makefile (new)
  1.1       +23 -0     ports/games/fairymax/files/patch-fairymax.pod (new)
  1.1       +10 -0     ports/games/fairymax/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Johan van Selst freebsd_committer 2011-05-04 21:19:42 UTC
State Changed
From-To: open->closed

Committed, thanks.